﻿;TabBar from STARGATE
;http://www.purebasic.fr/english/viewtopic.php?f=12&t=47588
;http://help.unionbytes.de/tbg/

;ToolbarEx from Thorsten1867
;https://www.purebasic.fr/english/viewtopic.php?f=27&t=72427&hilit=ToolBarExModule



; DisableExplicit

XIncludeFile "ToolBarExModule.pbi"

UseModule TabBar
UseModule ToolBar

Enumeration 1
  #Window
  #Gadget_TabBar
  #ToolBar0
  #ToolBar1
  #Font
  #Popup
  #ComboBox
  #SpinBox
  #TextButton
  #TrackBar
EndEnumeration

Enumeration 1
  #IMG_New
  #IMG_Save
  #IMG_Copy
  #IMG_Cut
  #IMG_Paste
  #IMG_Help
  #IMG_Star
  #IMG_World
EndEnumeration

Enumeration 10
  #Menu_Item1
  #Menu_Item2
  #TB_New
  #TB_Save
  #TB_Copy
  #TB_Cut
  #TB_Paste
  #TB_Help
EndEnumeration

; LoadImage(#IMG_New,   "New.png")
; LoadImage(#IMG_Save,  "Save.png")
; LoadImage(#IMG_Copy,  "Copy.png")
; LoadImage(#IMG_Cut,   "Cut.png")
; LoadImage(#IMG_Paste, "Paste.png")
; LoadImage(#IMG_Help,  "Help.png")
; LoadImage(#IMG_Star,  "Star16.png")
; LoadImage(#IMG_World, "World16.png")

CatchImage(#IMG_New, ?New_png_start, ?New_png_end - ?New_png_start)
CatchImage(#IMG_Save, ?Save_png_start, ?Save_png_end - ?Save_png_start)
CatchImage(#IMG_Copy, ?Copy_png_start, ?Copy_png_end - ?Copy_png_start)
CatchImage(#IMG_Cut, ?Cut_png_start, ?Cut_png_end - ?Cut_png_start)
CatchImage(#IMG_Paste, ?Paste_png_start, ?Paste_png_end - ?Paste_png_start)
CatchImage(#IMG_Help, ?Help_png_start, ?Help_png_end - ?Help_png_start)
CatchImage(#IMG_Star, ?Star16_png_start, ?Star16_png_end - ?Star16_png_start)
CatchImage(#IMG_World, ?World16_png_start, ?World16_png_end - ?World16_png_start)

LoadFont(#Font, "Arial", 9)

Declare RibbonEvents()
Declare RibbonResize()
Declare RibbonToolbarsEvents()

Define Event
If OpenWindow(#Window, 0, 0, 800, 300, "Example", #PB_Window_SystemMenu|#PB_Window_ScreenCentered|#PB_Window_SizeGadget)
If CreatePopupImageMenu(#Popup)
    MenuItem(#Menu_Item1, "Star", ImageID(#IMG_Star))
    MenuItem(#Menu_Item2, "World", ImageID(#IMG_World))
  EndIf  
  ;{ TABBAR
  TabBarGadget(#Gadget_TabBar, 0, 0, WindowWidth(#Window), #TabBarGadget_DefaultHeight, #TabBarGadget_None|#TabBarGadget_BottomLine, #Window)
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "In this");
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "example")
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "you can")
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "feel the")
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "power of")
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "Pure Basic")
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "and the")
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "TabBarGadget")
  AddTabBarGadgetItem(#Gadget_TabBar, #PB_Default, "include")
  TabBarGadgetToolTip(#Gadget_TabBar, "%ITEM", "new", "close")
  SetTabBarGadgetState(#Gadget_TabBar, 0)
  ;}
  ;{ TOOLBAR0
  ToolBar::Gadget(#ToolBar0, #PB_Ignore, GadgetHeight(#Gadget_TabBar), #PB_Ignore, #PB_Ignore, ToolBar::#Border|ToolBar::#AutoResize|ToolBar::#ButtonText|ToolBar::#AdjustButtons|ToolBar::#AdjustHeight|ToolBar::#RoundFocus|ToolBar::#PopupArrows|ToolBar::#ToolTips, #Window)
  ; |ToolBar::#TextInside
  
  ToolBar::DisableRedraw(#ToolBar0, #True)
  
  ToolBar::ImageButton(#ToolBar0, #IMG_New,   #TB_New,   "New",   "newID")
  ToolBar::ImageButton(#ToolBar0, #IMG_Save,  #TB_Save,  "Save",  "saveID")
  ToolBar::Separator(#ToolBar0,#PB_Default)
  ToolBar::ImageButton(#ToolBar0, #IMG_Copy,  #TB_Copy,  "Copy",  "copyID")
  ToolBar::ImageButton(#ToolBar0, #IMG_Cut,   #TB_Cut,   "Cut",   "cutID")
  ToolBar::ImageButton(#ToolBar0, #IMG_Paste, #TB_Paste, "Paste", "pasteID")
  ToolBar::Separator(#ToolBar0)
  CompilerIf ToolBar::#EnableToolBarGadgets
    ToolBar::ComboBox(#ToolBar0, 60, 24, #ComboBox, "", "comboID")
    ToolBar::Separator(#ToolBar0)
    ToolBar::SpinBox(#ToolBar0,  40, 22, 1, 18, #SpinBox, "", "spinID", #PB_Spin_ReadOnly)
    ToolBar::Separator(#ToolBar0)
    ToolBar::TextButton(#ToolBar0, 60, 24, "Button", #TextButton, "buttonID", #PB_Button_Toggle)
    ToolBar::TrackBar(#ToolBar0, 95, 34, 0, 10, #TrackBar, "trackID", #PB_TrackBar_Ticks)
  CompilerEndIf
  ToolBar::Spacer(#ToolBar0)
  ToolBar::ImageButton(#ToolBar0, #IMG_Help,  #TB_Help,  "Help",  "helpID")
  
  ToolBar::SetFont(#ToolBar0, FontID(#Font))
  
  ToolBar::ToolTip(#ToolBar0, 7, "ComboBox")
  ToolBar::ToolTip(#ToolBar0, 9, "SpinBox")
  ToolBar::ToolTip(#ToolBar0, 11, "TextButton")
  
  ;ToolBar::SetItemFlags(#ToolBar0, 7, ToolBar::#Bottom)
  ;ToolBar::SetItemFlags(#ToolBar0, 9, ToolBar::#Bottom)
  ;ToolBar::SetItemFlags(#ToolBar0, 11, ToolBar::#Bottom)
  
  ToolBar::DisableRedraw(#ToolBar0, #False)
  
  ToolBar::AttachPopupMenu(#ToolBar0, 7, #Popup) 
  
  ;ToolBar::ButtonText(#ToolBar0, 0, "Document")
  
  ToolBar::SetColor(#ToolBar0, ToolBar::#FrontColor, $571313)
  
  ToolBar::DisableButton(#ToolBar0, 3, #True)
  ;ToolBar::HideButton(#ToolBar0, 3, #True)
  
  ToolBar::SetPostEvent(#ToolBar0, #PB_Event_Menu)
  ;} 
  CompilerIf ToolBar::#EnableToolBarGadgets
    ; ---ComboBox---
    ToolBar::AddItem(#ToolBar0, 7, -1, "Item 1")
    ToolBar::AddItem(#ToolBar0, 7, -1, "Item 2")
    ToolBar::AddItem(#ToolBar0, 7, -1, "Item 3")
    ToolBar::SetItemState(#ToolBar0, 7, 0)
    
    ; --- SpinBox ---
    ToolBar::SetItemState(#ToolBar0, 9, 9)
  CompilerEndIf
  HideGadget(#ToolBar0,#True)
  
  ;{ TOOLBAR1
  ToolBar::Gadget(#ToolBar1, #PB_Ignore, GadgetHeight(#Gadget_TabBar), #PB_Ignore, #PB_Ignore, ToolBar::#Border|ToolBar::#AutoResize|ToolBar::#ButtonText|ToolBar::#AdjustButtons|ToolBar::#AdjustHeight|ToolBar::#RoundFocus|ToolBar::#PopupArrows|ToolBar::#ToolTips, #Window)
  ; |ToolBar::#TextInside
  
  ToolBar::DisableRedraw(#ToolBar1, #True)
  
  ToolBar::ImageButton(#ToolBar1, #IMG_New,   #TB_New,   "New",   "newID")
  ToolBar::ImageButton(#ToolBar1, #IMG_Save,  #TB_Save,  "Save",  "saveID")
  ToolBar::Separator(#ToolBar1)
  ToolBar::DisableRedraw(#ToolBar1, #False)
  HideGadget(#ToolBar1,#True)
  ;}
  
  ;{ Ribbon Events
  BindGadgetEvent(#Gadget_TabBar, @RibbonEvents())
  BindEvent(#PB_Event_SizeWindow, @RibbonResize())
  BindGadgetEvent(#ToolBar0, @RibbonToolbarsEvents())
  BindGadgetEvent(#ToolBar1, @RibbonToolbarsEvents())
  ;}
  
  RibbonResize()
  HideGadget(#ToolBar0,#False)
  
  
  Repeat
    Event = WaitWindowEvent()
    Select Event
      Case #PB_Event_SizeWindow
        RibbonEvents()
        
      Case #PB_Event_Gadget
        Select EventGadget()
            
          Case #ComboBox   ;{ Gadget (Toolbar)
            Debug "ComboBox State: " + Str(EventData())
          Case #SpinBox  
            Debug "SpinBox State: " + Str(EventData())
          Case #TextButton
            If EventData() = #True
              Debug "Textbutton: pressed" 
            Else
              Debug "Textbutton: not pressed" 
            EndIf 
          Case #TrackBar
            Debug "TrackBar State: " + Str(EventData())  
            ;}
        EndSelect
      Case #PB_Event_Menu  ;{ Menu Events
        Select EventMenu()
          Case #TB_New
            Debug "Menu Item: 'New' ("   + Str(ToolBar::EventNumber(#ToolBar0)) + ")"
          Case #TB_Save 
            Debug "Menu Item: 'Save' ("  + Str(ToolBar::EventNumber(#ToolBar0)) + ")"
          Case #TB_Copy 
            Debug "Menu Item: 'Copy' ("  + Str(ToolBar::EventNumber(#ToolBar0)) + ")"
          Case #TB_Cut  
            Debug "Menu Item: 'Cut' ("   + Str(ToolBar::EventNumber(#ToolBar0)) + ")"
          Case #TB_Paste
            Debug "Menu Item: 'Paste' (" + Str(ToolBar::EventNumber(#ToolBar0)) + ")"
          Case #TB_Help
            Debug "Menu Item: 'Help' ("  + Str(ToolBar::EventNumber(#ToolBar0)) + ")"
        EndSelect ;}
    EndSelect
  Until Event = #PB_Event_CloseWindow
  
EndIf

End

Procedure RibbonEvents()
  ;   #TabBarGadget_EventType_Pushed
  ;   #TabBarGadget_EventType_Updated; The gadget has updated (internal)
  ;   #TabBarGadget_EventType_Change ; The active tab has been changed
  ;   #TabBarGadget_EventType_Resize ; The size of the bar has changed
  ;   #TabBarGadget_EventType_NewItem; a new tab is required
  ;   #TabBarGadget_EventType_CloseItem; a tab should be closed
  ;   #TabBarGadget_EventType_SwapItem ; the active tab has been moved
  ;   #TabBarGadget_EventType_EditItem ; the text of a map has been changed
  ;   #TabBarGadget_EventType_CheckBox ; the status of the checkbox has changed
  ;   #TabBarGadget_EventType_PopupButton; the popup button was pressed
  
  ;   #TabBarGadget_EventType_Pushed 
  ; 	#TabBarGadget_EventType_Updated      ; Das Gadget hat sich aktualisiert (intern)
  ; 	#TabBarGadget_EventType_Change       ; Der aktive Tab wurde geändert
  ; 	#TabBarGadget_EventType_Resize       ; Die größe der Leiste hat sich geändert
  ; 	#TabBarGadget_EventType_NewItem      ; ein neuer Tab wird angefordert
  ; 	#TabBarGadget_EventType_CloseItem    ; ein Tab soll geschlossen werden
  ; 	#TabBarGadget_EventType_SwapItem     ; der aktive Tab wurde verschoben
  ; 	#TabBarGadget_EventType_EditItem     ; der Text einer Karte wurde geändert
  ; 	#TabBarGadget_EventType_CheckBox     ; der Status der Checkbox hat sich geändert
  ; 	#TabBarGadget_EventType_PopupButton  ; der Popup-Button wurde gedrückt
  
  ;   #TabBarGadget_EventType_Pushed
  ;   #TabBarGadget_EventType_Updated; Le gadget a été mis à jour (interne)
  ;   #TabBarGadget_EventType_Change ; L'onglet actif a été changé
  ;   #TabBarGadget_EventType_Resize ; La taille de la barre a changé
  ;   #TabBarGadget_EventType_NewItem; un nouvel onglet est requis
  ;   #TabBarGadget_EventType_CloseItem; un onglet doit être fermé
  ;   #TabBarGadget_EventType_SwapItem ; l'onglet actif a été déplacé
  ;   #TabBarGadget_EventType_EditItem ; le texte d'une carte a été changé
  ;   #TabBarGadget_EventType_CheckBox ; l'état de la case à cocher a changé
  ;   #TabBarGadget_EventType_PopupButton; le bouton popup a été pressé
  Protected Position.i
  Static Number.i = 3
  
  Select EventType()
    Case #TabBarGadget_EventType_Resize
      If GetTabBarGadgetAttribute(#Gadget_TabBar, #TabBarGadget_Vertical)
        ResizeGadget(#Gadget_TabBar, 0, 0, #PB_Ignore, WindowHeight(#Window))
        UpdateTabBarGadget(#Gadget_TabBar)
      Else
        ResizeGadget(#Gadget_TabBar, 0, 0, WindowWidth(#Window), #PB_Ignore)
        UpdateTabBarGadget(#Gadget_TabBar)
      EndIf
    Case #TabBarGadget_EventType_NewItem
      Position = AddTabBarGadgetItem(EventGadget(), #PB_Default, "New tab "+Str(Number)) : Number + 1
      SetTabBarGadgetState(EventGadget(), Position)
      Debug "new item at position "+Str(Position)
    Case #TabBarGadget_EventType_CloseItem
      Debug "item closed at position "+Str(GetTabBarGadgetItemPosition(EventGadget(), #TabBarGadgetItem_Event))
      RemoveTabBarGadgetItem(EventGadget(), #TabBarGadgetItem_Event)
    Case #TabBarGadget_EventType_Change
      Debug "selected item changed, now at position "+Str(GetTabBarGadgetItemPosition(EventGadget(), #TabBarGadgetItem_Event))
      Select GetTabBarGadgetItemPosition(EventGadget(), #TabBarGadgetItem_Event)
        Case 0
          HideGadget(#ToolBar0,0)
          HideGadget(#ToolBar1,1)
          
        Case 1
          HideGadget(#ToolBar0,1)
          HideGadget(#ToolBar1,0) 
          
        Default
          HideGadget(#ToolBar0,1)
          HideGadget(#ToolBar1,1) 
      EndSelect
      
    Case #TabBarGadget_EventType_CheckBox
      Debug "check status changed at position "+Str(GetTabBarGadgetItemPosition(EventGadget(), #TabBarGadgetItem_Event))
    Case #TabBarGadget_EventType_SwapItem
      Debug "item swaped, now at position "+Str(GetTabBarGadgetItemPosition(EventGadget(), #TabBarGadgetItem_Event))
    Case #PB_EventType_RightClick
      Select GetTabBarGadgetItemPosition(EventGadget(), #TabBarGadgetItem_Event)
        Case #TabBarGadgetItem_NewTab
          Debug "right click on new tab"
        Case #TabBarGadgetItem_None
          Debug "right click on space"
        Default
          Debug "right click on tab '"+GetTabBarGadgetItemText(EventGadget(), #TabBarGadgetItem_Event)+"'"
      EndSelect
  EndSelect
  
EndProcedure
Procedure RibbonResize()
  
  If GetTabBarGadgetAttribute(#Gadget_TabBar, #TabBarGadget_Vertical)
    ResizeGadget(#Gadget_TabBar, 0, 0, #PB_Ignore, WindowHeight(#Window))
    UpdateTabBarGadget(#Gadget_TabBar)
  Else
    ResizeGadget(#Gadget_TabBar, 0, 0, WindowWidth(#Window), #PB_Ignore)
    UpdateTabBarGadget(#Gadget_TabBar)
  EndIf
  
EndProcedure
Procedure RibbonToolbarsEvents()
  Select EventType()
    Case ToolBar::#EventType_ImageButton
      Debug "ImageButton clicked: " + Str(EventData()) + " [ Number: " +Str(ToolBar::EventNumber(#ToolBar0))+" / ID: '"+ToolBar::EventID(#ToolBar0)+ "' ]"
      Debug "TextButton clicked: " + Str(EventData()) + " [ Number: " +Str(ToolBar::EventNumber(#ToolBar0))+" / ID: '"+ToolBar::EventID(#ToolBar0)+ "' ]"  
  EndSelect 
  
EndProcedure

;ICONS
DataSection
  Copy_png_start:
    ; size : 862 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$2000000020000000,$7A7A730000000608,$58457419000000F4
    Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA78544144490003
    Data.q $9E10411A4F5157AC,$0483E0DAB6293DD9,$117D81FF626A9348,$4D12A17D1BE9A4A9,$7D280C511AEBFA4C
    Data.q $36B48A3BFB1F53EA,$6C788D6D6286D481,$BBC3B8EEE3BB9767,$BEF76EF6164C873D,$68C00103DBE6F999
    Data.q $63C622B101B59D9D,$0443020AF2661010,$9A356AD5EE3F34D3,$E2200265B00783B8,$A747478713D7AF58
    Data.q $A69E41B87D2796B4,$044A739DAF8FD53D,$873DAFACF74FC706,$D780383FBC3AF50F,$D83E7C68DEB572E5
    Data.q $D5E64C1324937FDF,$7B73E1B94C673B4E,$B90DF83071A02D5E,$D9A34ED2A5CA0E5C,$218E001242F4D2EC
    Data.q $B39AB9F40738CE6D,$CB845E3E2CFCC800,$B155E1E7CF905FCB,$3C20BA3AB5693F98,$D3E710B192271800
    Data.q $C9796960A54A3CD2,$74788176F6CEC4C9,$0E893C0AB0C203A1,$6C5FE64C50072879,$5C84CAB1F1E1C06C
    Data.q $255B209C91CEA635,$00E1C00F883E427F,$F03FEBABE9A00386,$B21024DFB9537372,$050B2012EC065E94
    Data.q $D5DCA37BF9BE4320,$E98C2AECD90B2A1A,$6EB739AC27A1953B,$8E3467D5AB77F590,$36F9EC21C64002E6
    Data.q $1DE699CF69ADFD01,$FBF7EBAE06EEEDEC,$E6B5E243B36693D9,$A8E209C72121E107,$2FDF94239913DAAE
    Data.q $5DE73A0DFBA7407E,$59B3646EA4D229A5,$6E99D96A058B1528,$3962DDAA6721B6F1,$D6D28DD7CD0E2E67
    Data.q $F2D4321B6F080CD6,$C146E8E7C7731B69,$0C0F1D424FCC1BAD,$0E898848F86EA220,$EAA22114245D5416
    Data.q $539CDC9AEA1B4CC6,$63757BB5D2A042D4,$A371122119A97E22,$E203A947F54004F6,$46EEF0D7D5B0DD5E
    Data.q $0CEAC1352085D1E4,$7314B046E8E7DA47,$2C0BABBBA8C6D7B4,$E1A2FF8337E1107D,$1CF020683800505C
    Data.q $63180B3E440CEEE7,$7182DD84CDC61B81,$6D3AB8AD47263062,$B596AC23331597B7,$99337BAE105317A4
    Data.q $BC6047D00097D50C,$5C687756ABBEDC0C,$7C88902D904DE009,$E663B047D8A95B7A,$5C00B18086D254D8
    Data.q $566B888BF251F7CB,$8EDEDC34E98BE464,$2C7F2E3863A82C9C,$0907D3316FB8A300,$33F81183A92D69B0
    Data.q $489311295E750DB7,$C01F437549004257,$0878016A3586E843,$31BA4002D0F7B0DD,$19FC37551A78DD24
    Data.q $0648BF0E1C3D7290,$8DD0C7AF90CFC0EB,$7577927F25FF9320,$F012A480FEB05836,$0BFEFFD39E4DA657
    Data.q $4F212458BC5F0030,$454900000000CA99
    Data.b $4E,$44,$AE,$42,$60,$82
  Copy_png_end:
EndDataSection
DataSection
  Cut_png_start:
    ; size : 1242 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$2000000020000000,$7A7A730000000608,$58457419000000F4
    Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA78544144497C04
    Data.q $C71455536C7F97BC,$40C10915DDFD7BCF,$C1450110BF862304,$DC365B366555B218,$D8ED7051A650E352
    Data.q $4C60B21458486A34,$A9408621865C4D10,$170C0618085810E9,$1D3630955A39CC7F,$2EA8DDA3FD3B47EC
    Data.q $1FBC7F5B75B631FD,$D6141DAAF76F79F7,$BDE6D7BEE4E4DE9F,$81F739EE73DFB9F3,$DCF48724B3100820
    Data.q $788E690CC9978BF9,$2F69B1ABCF1A749F,$A46C440992D37EB4,$6BB5BAC10840A003,$3A44319D3E689CB6
    Data.q $878AF0F0B2CB1400,$6CAAF7C16E912A40,$DF1BCEB42E5B4802,$9B3293220208BE58,$EE733E9F36F8D100
    Data.q $4D9533F1423C105E,$B9F9B85072CB0500,$4BDF0675389F8E17,$14008B39DCC122EE,$370AE834D340F3CF
    Data.q $41044D9D5F4D2DEB,$3644A891F9611092,$AD75DE3CE9CB9001,$EBCF74E8152AD41B,$B00E48203BA696CD
    Data.q $B4201A48ED4A9F2C,$D637D7AF06BA83E7,$E914356A7904383F,$AC820732D9937A74,$E6C610289CD8E79C
    Data.q $764343A56BC6F1D9,$507979341DA0C0FF,$85FF99311FD3A45C,$FC164AE70E004840,$5236C09B63C001DF
    Data.q $2181C3BB72F6E6F5,$22E2D281A340B01C,$11DD93348F8717FD,$900C646091C7010D,$58C2E4FCD8B1AB68
    Data.q $622F2FB1E8ECA3B5,$78A811FABA3FF747,$CE23AC50A155BF51,$4ED70876E0851CD9,$1C347F5F5F595563
    Data.q $C42AE56AFEBC39D8,$084C36C5C81CD173,$EFA37EBF2C635B51,$C80C7101D7BD6FD6,$014E500D8468A470
    Data.q $DA9756D76F9C21E2,$F4681ED5EB4EB66C,$EE74641479894015,$CEBEAFB87C40E601,$C04010A15298E831
    Data.q $7C3E3E16BE3E4F0F,$5DBA5B0181D8F3CA,$428D72106287D931,$1E8EF681A952D058,$1904ACCDB020F518
    Data.q $C532FADDDFAFE7C5,$95C73F4B858A8333,$697C3650CE020B54,$F19DE9A37EDF6DCA,$F351466AF8D6B6BB
    Data.q $F59E6D83C62595F6,$F0A4A6B6AB7811CA,$CAFFBC4F9B8AED59,$5C4610919FCBC5A2,$8505CF021B9C299E
    Data.q $09455AAE4488F4C8,$BD0695C329A1703C,$79D69A6EF8909485,$91B7C588F2D4DAE0,$47F77EB4EC7EBA5C
    Data.q $398D6C3E331D6963,$7CAECB691FAFF327,$B5495A8C4CCB525A,$0B47D50DE695C992,$1F39040154CE7512
    Data.q $F6C2DC088902D1F0,$64577CA1BDF90117,$149A6638021466EC,$CF7CAA1D767F6C32,$5BC9EC2620326ED9
    Data.q $AC0169B6E92740F4,$BECBBFBD3F169836,$283C912657977F69,$7C48D8323A200599,$386C2044BE0E7A47
    Data.q $A0226DEFFAFC9A8C,$DDDC786B6BF57DD3,$28493A751787B301,$101C429F8372B85F,$44E0DFFCC9FFB203
    Data.q $DEFE576DB43EE808,$DBDDAA5E8A29DB6F,$D20D81168387C136,$E049E1A2DB7DD532,$3E3BEB1B24053E6F
    Data.q $D97FEB558FFB8E23,$73537F028518A9B7,$C503E7FB887BE201,$E4181F0DAB9F2145,$2E046E76277C9952
    Data.q $53611064B9EEE932,$9815DE6A53254052,$8C5920EBDC303F90,$E0FB7357660CBA5F,$3C1EF5536E85D944
    Data.q $D8BCCC48ADD7127F,$17116AC92802A982,$CEC62CD163D7C49E,$4744C62F5F102813,$417AB8EFC98538CA
    Data.q $A12C5ABA3A005524,$1EFE18173674B328,$14BCCB45A6FF90CF,$E72249EF57018713,$0EF19FB903663553
    Data.q $4ABE63A64A8AC737,$81510F07FEA0A4B8,$EF02A505C59C4E0F,$16C9F35B8DCBC9F3,$0AB261B7EE9336C3
    Data.q $CB5593769F81BE70,$73B1BA09140A8AE4,$F20143FFE150989D,$590BE621288CB5D9,$8EBE4CD898D8A8F1
    Data.q $0F12A9F2C5A00593,$8EAB266CE1988CA4,$DB8E0003008FF9F7,$0000D784DAAF7A46,$42AE444E45490000
    Data.b $60,$82
  Cut_png_end:
EndDataSection
DataSection
  Help_png_start:
    ; size : 2271 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$2000000020000000,$7A7A730000000608,$58457419000000F4
    Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA78544144498108
    Data.q $FF15F554706B579C,$2136BC8FB23ED7DD,$08021210086C930F,$956947531F40E08C,$D14AA5FAC3C8E2D2
    Data.q $FD17E9DB4ED43F56,$B5699DB53F6C6758,$A45B4D050065451D,$E41D2D8A74332388,$9B092C920420490D
    Data.q $BBBEFB37766C9B0D,$040D86F77FCE7B77,$EFFEFFCC21CCEE0B,$DC25739DFAF3BF39,$D725BADF89EAAFE3
    Data.q $9791A1FD490C3B03,$24926799F9F3E597,$B9F3905C64B20091,$F93F26B791D1F2F7,$B9EFFF4AF45EF455
    Data.q $BFEAD61BE637C9E7,$162B6576B5D69AAB,$A68B03C5A0B07B34,$19C87230C3CB9720,$3026F9AE3A93C479
    Data.q $B230FD97B3893A34,$DBFC14D89C948F7A,$280055FF27A4838B,$5E59A293FBEF4FD5,$05B2BB581589FA78
    Data.q $791B7603B4E00B76,$E6C8FB2105F35ACB,$10832444C0DC4880,$9FBC7A381BBE99C9,$E897D6FEF825FC81
    Data.q $3EDB9568007EEE7A,$53DCFF50D8592DF4,$381CAAA2A358D1AB,$1DE8E3BD138C2971,$D14761129C30449C
    Data.q $5855CD9D0D854F3D,$B918556DA58B5ED5,$EF3ECF8C2FBF4499,$A9F7B136343FA8C7,$7CAD000BDFA6BA16
    Data.q $5868AF8F2DE1FEEB,$7F35C03D1A016EBF,$19D3C21CE8FBBF02,$D2DF2891590C8A68,$4548BC8D1179CBCC
    Data.q $0DF6C561DCA06736,$0840FCE072AFA89D,$FE83B38BE28E2F27,$DCA1076F78B7F7C9,$515F1F9BEBFEF9E9
    Data.q $8323EEC0F5BDC6CF,$545BB1584FA879D8,$4B34B2284022AA68,$7100B2A8B1633A54,$56B7C0D67A0C67BC
    Data.q $6BB2C8619229403E,$FFEE2E27CFDBF6BA,$6F54A002E631D903,$B637D37B6766FDDD,$7CFE120DF98E586D
    Data.q $5599431F9F9F0060,$B8892032142AC323,$3204C5082C01254B,$3E37D40164E01183,$8CD43E8F0A68A98D
    Data.q $EF33B8C9F18F3A64,$5990FBA7A2434EFD,$DB5791E2A9002698,$37ECF67FB796CAB5,$FE1F51DF62A8D6D1
    Data.q $CA0BC6C7054FC17D,$4C3C8A750A59E939,$EAFE9A40DD297792,$00848E25CE837A14,$C641327F888E1051
    Data.q $512B3C43ACE9AC75,$907E167AB4AD4C97,$F4335586C9363A1C,$29CBF5E6F7574D72,$CCF3FC4902F856E7
    Data.q $19067F9AF05E7928,$B66FC169C7B0C9D1,$9DDCACF716CAC42C,$DC0C21A1FAF145F6,$F27E061A9256C04C
    Data.q $56F0E8D5BD3A38F2,$4DDEBA3D01BF86E2,$16CBDA1192483CAF,$83CD63AD9A28F06F,$C83B9CE76AA1A8CD
    Data.q $E41060BD9CE50B73,$55CBF2381CEBDA1F,$F0FB3A2ADFE71877,$957710E79F68E5A5,$C8E4EC2F89584D62
    Data.q $C68E50D6D107C7C7,$3641C3A59AC80A86,$BFBE3AD8A0063DF9,$3F3818F226B2CD7D,$4D52628AC9522514
    Data.q $F37D7839C4F4282F,$7B9E3881FD8319C2,$C189C3E9DFDB17A7,$96432F1FDEF9CCC8,$A614E05198EFC5A2
    Data.q $B4ADA822050C59D2,$B69B25B28DD6AEA3,$67CE6BC960066DB3,$5CF4143970554DBC,$2E5533F405D4229B
    Data.q $4E88C2EC7AF01668,$7B512E1F6EF47E68,$462F67767863F9F6,$E2EA85CB2542E942,$1FCD71DD8A0033FB
    Data.q $CC98838705C7BD46,$F2D80D736D867AE2,$D22E12B1B9A3A5B2,$1145559A2616343F,$BFAC29D86A2A3F99
    Data.q $E1FC077A8E803FD8,$8BA8926A70299D34,$650D5BB2F2F8AA2A,$42040C0C978D8DA6,$13C4651D997D7C09
    Data.q $65400CDB60ED6292,$A1345B305514D53A,$4B251CD9E5977E8B,$26246E70C68C2E32,$92B0F3DFB85BB3BC
    Data.q $A856DB812FCFDD67,$CB2ABBC8A4C9E1E7,$F81A524AC0E97802,$75366AAB1178505C,$4D8509F3A551CF46
    Data.q $995B7163167DE42D,$B3DDB910DFB827CC,$D7BDCCCB0ED503A3,$A94F42C92D51F13E,$A966630495185906
    Data.q $1C93A4D524CF8B75,$E48996852AC56429,$8D0CDCA63FA50076,$D0C5150BA4FEBF96,$D7106072BC75A707
    Data.q $137BCB3AAB8A1943,$6E30DD2E0F057334,$0004343E3424CBA5,$784A0148EE9254F2,$F18CF756A1E1399F
    Data.q $E890CBAEFB7C649B,$8004DC61DCA2D3A1,$00366E5CB902217C,$95014150CC9936F6,$0025F29EE4522B6E
    Data.q $C1716FF3B58486B2,$BB966C2EA2FCC79B,$1677595977BD8E47,$B91D63135E6FD219,$1D61130A7FB0C0E4
    Data.q $2AEF961EC55CF3CD,$30F28CD4C10356DC,$BB9453473A8D86F1,$08C761535C4547BF,$07245E43224487CD
    Data.q $C1D42B4B204736D8,$30244FF73FAD631B,$9829151AFD4DDEBF,$6AEC7DC2491119CB,$8A9399C4A77B8704
    Data.q $BFB7BADA5F428CAE,$FE99C4E95799F9C3,$41C8F0D91D29D200,$EEEFD3B15200CDB6,$A96E2C0021DB52B9
    Data.q $E0692EFA434CAB87,$F8F57585F2A4EA5C,$218B8FF6712AD2EE,$734823B0B3793EEC,$C16655D5134EDF87
    Data.q $A7D30A774A21EB95,$60C0E8B2DB61EE76,$1ABBEC1F152E78FF,$18A3696D7C110BA0,$A8303E60A91CD2B0
    Data.q $19F3FFE3FCE34C98,$769DBF873EEB9B3F,$21248910C69753C9,$230E69B219831265,$4F97CECCFC78C92E
    Data.q $36828257738EBF9F,$26CCCA748A2A9BDB,$B5374EEB499512DD,$5A0CB185BBD2B3E2,$D9D7F873A7489CE9
    Data.q $FB7A9E8813A72411,$B234FE4DB6C9B665,$9235B6BBD584A1A1,$3AAEE1E3351316D6,$5CB23054622DA9A4
    Data.q $34ED9866C43807D8,$68CFE5E26C6ADA2F,$BADCA2D01DA7EC57,$0D03B76AB6571527,$A99117B4FEEC2E55
    Data.q $FF8E440E46A76469,$5D2B9405C47A3DF1,$3BEC1F9EAD249C6D,$3AA2E775535178BA,$18C3475709BAB63C
    Data.q $E65F933CA1494609,$0BEF4C943C019E11,$2ED5BFD1D1495A6B,$117C3AEC32F78D07,$6064F4F8F5093463
    Data.q $8C4910E1E847D6F7,$D1230A9C64AE952F,$749BA3DD44E1D1F3,$EBD4B1A48F1B2E43,$0414962444E609A1
    Data.q $1CC49384C4403E24,$04D7A2E4564A6160,$93E8056D73416782,$3C9066E0F50EBB01,$246DB67B0227458F
    Data.q $6E542F735124231B,$F76F44DB4F0C96EB,$D2454E4FF586E9A7,$B7962A2E1E29D1F6,$D62130C4562A8AD5
    Data.q $2362D205F73466E4,$784EE5B50DA76EA3,$F68FBA00B82A76DC,$8142C648C1891623,$C4248AB3C7BEDBBD
    Data.q $24F9AF396BA5F7ED,$6CAD557FBF8D9E2D,$16E553DAA34F50D9,$5071AC689E25E524,$79271F0B5682A991
    Data.q $E9FA3F89862CF524,$0A74F8842FB2E8EB,$F050EFB0B90654D9,$2648F9F49AFE9FE3,$524261FAEFCB5F6E
    Data.q $3D72EBAEF3675249,$CBBAF2E6B26BE2FC,$CF1AEB4C86F2B0ED,$0635387EDE74E60D,$CDC2A0D6688644D5
    Data.q $FFA387A7D79A12D2,$487A7FF0E495E37D,$9A7D7DFA7458A04F,$BAA3524C85C8BAF1,$56A8D8EF57B9E61B
    Data.q $2B675A38B24C7A2F,$4FA436267CA68491,$D983ADE2FD12395C,$6FDBC2483CFB9FA8,$456B9F4ACD3F7EE2
    Data.q $C2B6B4409E120E20,$49248F08B3239C5E,$FF5868BC59162912,$0F37844573A71FAA,$A64A0D734A8A715B
    Data.q $FFE945EEE73162D7,$DA917037B6001804,$4900000000641A1B
    Data.b $45,$4E,$44,$AE,$42,$60,$82
  Help_png_end:
EndDataSection
DataSection
  New_png_start:
    ; size : 621 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$2000000020000000,$7A7A730000000608,$58457419000000F4
    Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA78544144490F02
    Data.q $C71040C24F4B97E4,$8517A2682A15BA67,$E8799E813F109A93,$276FC10268262F4D,$6A23D489FAD46356
    Data.q $656CEA5A89A2C4D4,$DC4D4285A5BA529B,$33B7F77663ED9FE4,$7AA4CD21B6DB44FB,$E836BEBCBD51105F
    Data.q $B71A1E20F5EECF61,$A39BACB2C1105046,$A2D6A5BE1F4EBD7A,$D80122D28841FCE3,$FD75B763A74EA693
    Data.q $EFAA5C006163EA8A,$47B9EEEF6EC826BB,$C1AFAC6DCA9FF7A2,$55A84D9AB429E9C9,$346AD17EBA27072A
    Data.q $DEF8A72B25B7E90E,$B18C4714515DB851,$BF3F94054EB61291,$ECB95A8050A142BC,$BDE0FD9142798440
    Data.q $539D84947CF295E7,$27C787859B31BB8E,$E2014221238B1628,$CD35E60E766CA44A,$02CECFB470A1D885
    Data.q $7462B7718C00A421,$72E42A6302E77431,$AB76386EF3E42C1A,$3CCFF0DCFCFD03D5,$426A20780D346035
    Data.q $0B7A80952CDDB5F8,$34C7D29A3D9C99E8,$93CEBD3ECC993330,$005894086E00E4DE,$B6B7B6175BE60D64
    Data.q $88B4E76FDEA5051C,$778FDDB6403D3100,$C29C177A30624930,$F44087862EF08AEA,$45E2BE429F402628
    Data.q $613D5840F1278A59,$D99AC0EE86007210,$E3800424010FE466,$40F61E3B7ECD8085,$3DDFF2803A98008A
    Data.q $D3256FEB00C607F0,$7C0038C10A33889D,$BE30006301CC4F7F,$078821CA7ED62786,$4D6EA4CD07E637D0
    Data.q $5E388010C800402E,$A0052DD6F02D634F,$4F8E7058C32BCD26,$1CC701C5111BDD49,$B6512C193375E5FA
    Data.q $3CBC1E2F6C4E5A41,$EBB455E9174BF0BE,$694CCA4F2CA39807,$80325F497524FBE1,$0C023FBB45CB5D99
    Data.q $E37F66A6E90DD300,$4E45490000000033
    Data.b $44,$AE,$42,$60,$82
  New_png_end:
EndDataSection
DataSection
  Paste_png_start:
    ; size : 1210 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$2000000020000000,$7A7A730000000608,$58457419000000F4
    Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA78544144495C04
    Data.q $FE1455546C4D57AC,$D2D2D41503AF7BEE,$3B8A0860952305B1,$B3A484918816D0DC,$8DCAE024426A2B68
    Data.q $FB85C41613125B8D,$EB42095042605C6E,$C6E21A2E572B8268,$81C2C345A313449D,$E3DEEF3F3B6A9D6A
    Data.q $FCDE63CCCCFDF739,$F73DDF7A5E6736F6,$F6853EF73F3BE77C,$938E3BCC5C5C5BC3,$E6318294A13B2223
    Data.q $A3EBFF1CC2C2C2CE,$9D6B5066B075E18F,$C18276A3179F9F9B,$D963BC9CEDF6E960,$9D2ED710128007E8
    Data.q $1000342866814AFE,$35388BC1FAC1531C,$18461A2CABAD053D,$72B171CA10105908,$C9C60D7AFD0C7BF7
    Data.q $6FA823BF2FF1DB84,$3C863B6CEDF47E2E,$402F6FB333D185EB,$8F85E58A64560033,$B8D3CF6861ADDFAB
    Data.q $607EC49505BBFABF,$F7F9ECC6BEF839E2,$197023B1B167B579,$12184E99C5B3FE40,$F823D91DBBC53B00
    Data.q $0B18D9EF4615CEF9,$2057B23231275200,$2E35E1191E1E5535,$C640800875F0FC1E,$DDEC98CB65DCE1C7
    Data.q $8E25F7B028CE0009,$EE6D9A835AEF78B1,$22875C9FC7C23CCF,$843CCFEF8C5954DD,$F76D0021B90C6DE6
    Data.q $A484976931C409E2,$49E8901C155AA608,$5E13F038BC1C8818,$714CB46D6967B81A,$D58CB449A0728C18
    Data.q $BCED533B32957FB4,$300A25155D3F640A,$4634E1B08680C0AB,$10037E4230A6189E,$4C06F2E81092370A
    Data.q $16DD3386003BB379,$86C3A178E274A281,$E320F071409F0E1F,$B7B97E186C868648,$F98CE9621F33E185
    Data.q $3ECDCFAF0B200553,$5032CA00536ACFCB,$C93A1A933BC51261,$6FE360D833CCCD85,$214285EB5C774EE4
    Data.q $67B3CDF569696B7B,$FCE9380642209227,$88DE2033A402104A,$6FBD5B7E3D83A4D7,$0E27E7845939A62B
    Data.q $39DCFE70371BD3E0,$BC4182FBEE4E4F4C,$C575A84944E10095,$11B13214B4404086,$D47CD1212F1177A9
    Data.q $18D8D8C1FFD7D6B0,$A07A7820B71F8FA6,$DA88084BED388001,$2E39E3A422AD510A,$F840085CEC426A27
    Data.q $617F6B6B10627C19,$CB5B8998271C7C7C,$067BA901808831CB,$001D54CCD7BCED40,$85ADC452711AE5C7
    Data.q $8EEE4FDD83264766,$9F396FB535393899,$ADB5BB28BC20207F,$6E2AB894A574135D,$DA569B62396A6432
    Data.q $9F0874385FE60A5A,$90D8BA045569BCDF,$A0042BB2CA31E09C,$0CBD29A2A8E80E6C,$9E003A559C73ECEB
    Data.q $98EC72BC5FEFF8DE,$AC2F19930130E495,$75AA540AA095F85E,$982EE021062915AB,$EA564B3696504006
    Data.q $626E34766CED101D,$47781CBF5503945E,$B45A6E84963C002D,$8ADA955D1020ECD0,$18898418D4800663
    Data.q $D43EDCDD5758A197,$51ABF183517B5B63,$1960BEE4C438B612,$10B51DFA0EB95708,$C248B510E7C41548
    Data.q $219000F6D4701CBA,$94849D6A9189480C,$0DB39B80626DC248,$C4E260074E28ED41,$D3A2084900C6DB53
    Data.q $932D4C9C6CA6C5B0,$FE22D849C4018DB7,$D44469252BA80321,$6D4B561279BC35C3,$FA2E6ED1D5A28995
    Data.q $C15E59B8A8002085,$59B86EB3B64F7F1F,$EA30247B22768665,$14E764FDA5D40ABA,$9F977DDFAE0FA500
    Data.q $6BEAF53A52F93B7B,$2E000357FB4DEF13,$2C5B8314F0D0407A,$1EED1AE0E851E5F2,$B7AAED0368E8F97D
    Data.q $760CDD0BEEEA704A,$84323FF3E65FE319,$61C061BAD53FEAA7,$30B85CEF2B8B1629,$AF722C3DA0C87AA7
    Data.q $3CB1EFB881C1EA1B,$BB52AE40D97BE612,$293685FCA3EF2CE4,$8670001805FFADBB,$0000425ECB767972
    Data.q $42AE444E45490000
    Data.b $60,$82
  Paste_png_end:
EndDataSection
DataSection
  Save_png_start:
    ; size : 1555 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$2000000020000000,$7A7A730000000608,$58457419000000F4
    Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA7854414449B505
    Data.q $3E14451D685D57C4,$A692D6FCD37BB333,$4282B42A20A2083E,$5164FA0B982141F1,$C6C51B069A235634
    Data.q $117C06083E4FAABF,$297922C1F42342A1,$949E6820AB4B15B5,$A50414F88B511512,$F7349069B5FCDA20
    Data.q $F737B333BE78CCEE,$EE61BA1524B7BB86,$CE6F9DF3BE77766E,$1E7AE9EF79567339,$8E37A53852947E09
    Data.q $1CA40FA9E657F97F,$5022966F396BE2F3,$78C7619C2A24FF35,$CA3F20CF7C76667B,$33BDCF8C00A8A5E4
    Data.q $39E7FEB7997FE4BD,$0075FFFCC9FFA7EB,$9F6F1D8D86C0980B,$D93B64893E7722FE,$3EBB45D9DD4FEDDB
    Data.q $6962A569A3529DFA,$C2A2715CBA3E85FE,$DF74D253DD780E66,$8EB554325ED473C7,$F4BAF89A36FE7B7E
    Data.q $BBE3ACB1E76E3F30,$52DABA96CAB12825,$12894B7DA92767F2,$5DA9891919334ED6,$7253DC9ACF75192B
    Data.q $361B02602C018256,$AB159015EA5BEAA2,$00C6C726896D4F5A,$1494EBE4BE21B460,$D27801AFA278E3BB
    Data.q $638F78DFFC3CCB5A,$4A8A0AB2CE5239C7,$A211B0D80819E58C,$399AB311F524FC23,$2AA4EF371D4F180E
    Data.q $3E8E0F13C341099F,$6017EFEFEA18DECB,$E7D5E8072383C0C7,$EF1BC62CA0606886,$94787C7A5996500D
    Data.q $0CF8698CA660BC21,$AA74E4165D74C11B,$E97B8EE3A8EB1116,$1E4F0E6F07D82AF2,$3521F7180BD80567
    Data.q $8A014D49F93137F0,$28819E4279387C0A,$CDD4B212E560C659,$84D450D8018E1598,$CC3692A7032A8E00
    Data.q $5ACF8A3A92D5D45A,$1AFC6F01AD7C7219,$4E5EF22493508C48,$A602C124545B3246,$34EC02815106C157
    Data.q $7B01B998130A8067,$12097827E1B1825E,$B29EC106B0A80259,$199EC69078BF4F57,$1A1A5BCECB265BAC
    Data.q $B10E2582F015897D,$61A2EF580A56D595,$A76391D111E24192,$046AA1BAF3C6C970,$1ACFB1C8FB909410
    Data.q $26744F8A4097C9DE,$1301882A044541B7,$630D634443AA572A,$B1B84660CD305360,$2607788302CB2511
    Data.q $022B31326B40483C,$27346C0B2C95AA56,$26B44B5178B1F580,$08FBDFED0CC60132,$6FCBC8EB22CB940D
    Data.q $EE43AE498F93E8D0,$F7BFDBDF1F68CB2C,$E5A4A42823232A51,$2C81643D7B1E182C,$805985EA90F9E301
    Data.q $45AC64515AA60FDA,$AA2DB2C4CF27A3E2,$53C41BC4A713D1D2,$DEF97B969DEF9A54,$68091A59A0BB4A26
    Data.q $A10700C5ABF99026,$6DC19AE0D05624C1,$A32757263715365C,$1FB85A6E35D223CA,$B57B5943B4A49882
    Data.q $52ED8F4C0590C818,$BC1E8563FA981307,$2B006002F69AFDB5,$802428D83ED058E5,$BC6793B13C059267
    Data.q $89AFED3BBD3CFDF7,$6C1F13D49607E400,$DA21D18261701314,$6811D936F8520CB1,$6D6ED040220F910A
    Data.q $1E69221420620B39,$D11B0B995CA8FFE2,$8FA8AE7B2257BCC6,$92EC1095C54F588A,$68A2DD0C4C790598
    Data.q $C5477132095EEEE8,$3F1D3EE85FFAB587,$262D458F9E9F40B7,$2C18FBC0B22D7585,$5FA3EF1B3CC56F2A
    Data.q $F729A5099BE45CFF,$E554AB5592986908,$6301F111D62524E1,$2B1CFCF274ED9EE8,$92F420CB7D30D6A0
    Data.q $AD63C855A23EF97A,$783F8743DBD1DA53,$EFBB28253B3C7E9F,$8BB345BE6F6BD32F,$5844746A947852CB
    Data.q $8DA2A82AC4D860F8,$2B94500A58F00242,$A18F6B609E816B89,$407EEE7686FBBE9F,$1974F52FF4B85CDE
    Data.q $AE8D6DB4D4D2585A,$808ADF440F3055E6,$0235FAEC465F9A73,$CA69AE7467946288,$0A92560A1B2DC04B
    Data.q $8EB528080A80E868,$1B0FF804C51B1280,$A22515D8A014D507,$8F608315ED06CE0A,$FD5BAAEB47B8AC80
    Data.q $C5ED818A76B612FE,$02A2805120258B46,$5A82350D79E66869,$87BC49306C78628C,$3AD3E40F83259BF7
    Data.q $3B9088556A7BA405,$078E57CE53F644A5,$70D2137434CE9A17,$4882607A41D34548,$CB79B8AB8D1B7ED8
    Data.q $4B05C296A53D803E,$E86E7EEE25EC1DC0,$B3D0BA5E450D8B6E,$54AB28CDAC0961A7,$25E25501D9637542
    Data.q $8ADC9D33720E5668,$CB0E8465F6BAA777,$A04E4E079B7C2F2F,$E7FC8743CF7C6172,$B4F455435B24DE53
    Data.q $CB4EDDB6FB251FCC,$EF5B67A14C334755,$5A5566CA8B9595D8,$0E66E70FD76BBBEC,$FC0B8106A179B664
    Data.q $7497750CD5F13251,$0EE7A76697560050,$29AEC25797C2BC8D,$1371E3EEBE52AC39,$C2B1F9562C6A6E8F
    Data.q $403C5D14919E2163,$1783DF1A15036DB6,$BE404E59CF1DFC79,$8D5C982D5418A10F,$CC6EBF14B048B3C6
    Data.q $8FFACAF9E8F80806,$F300C027FC76EBD3,$00734A143569D845,$AE444E4549000000
    Data.b $42,$60,$82
  Save_png_end:
EndDataSection
DataSection
  Star16_png_start:
    ; size : 611 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$1000000010000000,$FFF31F0000000608,$5845741900000061
    Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA78544144490502
    Data.q $FE1451544BCF53A4,$6C0D191C73D37DEE,$645D219A08A9B06C,$10B4492042836931,$407E8608862D9689
    Data.q $265DA13FA11B807F,$2D8DC6D568B45952,$54526381240C145A,$9986B52F4C92A11A,$0CE7DCEDCEFBB1A6
    Data.q $DF7BDF0BA213CDA8,$F79CF73DDF3BF7BD,$F7BF7AF8DF86B5A0,$9BBB17BEDFB6E32A,$E8CCBE2DDD7B2941
    Data.q $793C7E66DFA40CDD,$3D07870D979D8ECB,$64854F53F593A7EE,$0C0C3B7F6048EB63,$CEA13BA9570327FF
    Data.q $8FCF0C1E67B5A00B,$670F301B4F507A9F,$D526B8EABB426FA2,$051A3B0835797205,$C031E8EC89E37CFD
    Data.q $1690D32763F3A60A,$56F2CD6584E40C84,$577D2D8BA22033DA,$579C46C1248E1A9A,$9A66D14811E5682B
    Data.q $1570B1EE97221C95,$9855DE785AFC1502,$10A4A9840C6A3A9E,$CEDED4F758F2C4E2,$A071340B5F7B1143
    Data.q $4ACE6E5AAB09DBE6,$BC7E029C36254F10,$D8E39D5E640E745D,$81E99962660D5A99,$098D902349A7ECF9
    Data.q $65CC136A46CB916E,$0BB3E63ACACA8128,$71167662603C1C93,$5BE6FD26EE70F4F6,$0268876D287CCD59
    Data.q $C2EDD6D18D182D95,$AA1C5B4F6A7768D2,$183C754D764F8EF0,$BA58E244080FC54E,$5FA149636DF293DB
    Data.q $5194070E1BD08286,$581C553860F45B9A,$0835F7EAB2C51B61,$E59519F8A886C7B7,$FCBC1FDE5F733875
    Data.q $77D5A6B370C0C7A2,$D510FF7F436D2384,$DD7B0F3B5074F6B1,$22D8ED3C1B896BD1,$57719F1EDF6B30EB
    Data.q $AC6D6B635BD59C9F,$8EC28C8FEFAB25AD,$DBD7F2AF1199AE8F,$31006011FC67FE0C,$00AD8E7D6FB902FF
    Data.q $AE444E4549000000
    Data.b $42,$60,$82
  Star16_png_end:
EndDataSection
DataSection
  World16_png_start:
    ; size : 910 bytes
    Data.q $0A1A0A0D474E5089,$524448490D000000,$1000000010000000,$FFF31F0000000608,$5845741900000061
    Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA78544144493003
    Data.q $C7187556687B9364,$DB176DEF673DE73F,$8B68979CDB9B59A5,$92E906B374988CD5,$11A3417024442B12
    Data.q $88E502E94A0B2235,$47FC0C116823FB02,$D853BDA50D090282,$9A936E5CCDA61D22,$DF5777B77BA6EF6C
    Data.q $9836BCEFD39FB9EB,$CF7E77EFCE0783F5,$FE2479E7DF3CF7E7,$F2DA65DFD27ED6B3,$E805F9C30523B6AB
    Data.q $D1D67D9343E28AAA,$D75DF5737C9F8F99,$3BBD9D1536569175,$2F3744F73C8E4354,$23693CD96366596D
    Data.q $FD20E5F13CE4F5C6,$95F88BC8FBF16F43,$03BDEE9F0FCDCB6C,$A452B861D919D950,$458FB5B07CC3FB7D
    Data.q $FC274C9DB9918F33,$8B7B99A6B820278C,$2FD9F8E66F1C19FB,$3CF803C41CC92809,$BC4DCDFD915A6E80
    Data.q $A46E1EF654CA50D6,$A690656C7E52C442,$DA2972B54C581AFB,$82BFB6FB1F4D634E,$0E2AFB912B228569
    Data.q $FDCF65ADA86D74F7,$9425D2E853D0586B,$25DDCB3C5754B7D0,$60DFCA1B0EA9CC6D,$7EA37FE7A3887624
    Data.q $871523FCD81E55DD,$D5B76D8E00E575CF,$216CF12E1F15AE56,$1B094CEB201DCF7F,$635728CA07593263
    Data.q $F8EB672C551AA39F,$63857DD68F20E479,$D281492B80396DCB,$99854166D5598870,$8534F6D209DD640C
    Data.q $4DBD37C781C1EFE1,$713032AC9F147061,$50079F840D52CA90,$E92261A46E22E1C2,$0963445DE436D9A0
    Data.q $8C5D8596242BFBD3,$C09EA846B52DCBBE,$9B9C51BB36B8B3E7,$BE35767464C835B7,$1A3161344398B9C0
    Data.q $DB339F6AF1C0487F,$431D1CB047EB8185,$45EF9CDF1A38E03C,$23F8D71900DB8D91,$C684C99FA84142DA
    Data.q $528BCF335FC03A7C,$51B6B7D338F86441,$0F464796949A745E,$72B38226AA3CB590,$CB60DF44FC748504
    Data.q $CDC892FC72F2E2DE,$1DF531E6EE19E9B5,$B66EA1A9C3DFA99E,$3509137E71467D54,$62742F270AF84944
    Data.q $EBD5259BFC4E1625,$5E44DAAAEF267B3A,$DD055C7175542820,$D8DBEA5A619AA00A,$F15C222BD13BFEBA
    Data.q $EBD0CAE65F974FF8,$29A4688D5B68FCDC,$923A5FE1B4A691AF,$2DBA52693324E3D3,$112C8084AD515542
    Data.q $C606CE4BE4507C5D,$99F0EA00F970B99A,$95156F02256FCF0E,$AFA9E1BF3FB43BED,$A4A60140AC12FCED
    Data.q $3EB49A890A138E88,$358F12B67FAFCED2,$A7C3F4B1DD3B5E62,$20F2618EF24F84C7,$A57DEC77BE5736C2
    Data.q $17C37E4924B76CA8,$EE72761B2F29CE44,$633B885FBD91ECE4,$16AAD571A6FFF39E,$276899D56855EA56
    Data.q $08FFCE3D5EC25716,$115D936F14FB0030,$454900000000F4B5
    Data.b $4E,$44,$AE,$42,$60,$82
  World16_png_end:
EndDataSection



; IDE Options = PureBasic 5.71 LTS (Windows - x86)
; CursorPosition = 76
; Folding = Eg
; EnableXP
; DPIAware
; Executable = ..\Test.exe
; CompileSourceDirectory